## wine-development 6.19~repack

=== debian/changelog ===
wine-development (6.19~repack-2) unstable; urgency=medium

  * Fix uninitialized variable warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Apr 2022 03:10:09 +0000

wine-development (6.19~repack-1) unstable; urgency=medium

  * New upstream release 6.19, released Oct 8, 2021.
    - IPHlpApi, NsiProxy, WineDbg, and other modules converted to PE.
    - More HID joystick work.
    - Kernel parts of GDI moved to Win32u.
    - More work towards Dwarf 3/4 debug support.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Apr 2022 01:10:02 +0000

wine-development (6.18~repack-1) unstable; urgency=medium

  * New upstream release 6.18, released Sep 24, 2021.
    - Shell32 and WineBus libraries converted to PE.
    - More work towards Dwarf 3/4 debug support.
    - HID joystick enabled by default.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 31 Mar 2022 03:59:06 +0000
