=== debian/control ===
Source: wine-development
Section: otherosfs
Priority: optional
Homepage: https://www.winehq.org
Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Stephen Kitt <skitt@debian.org>,
Vcs-Git: https://salsa.debian.org/wine-team/wine.git
Vcs-Browser: https://salsa.debian.org/wine-team/wine
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 clang [arm64],
 gcc-mingw-w64-i686 [i386],
 gcc-mingw-w64-x86-64 [amd64],
 libz-mingw-w64-dev,
 lzma,
 flex,
 bison,
 quilt,
 unzip,
 gettext,
 icoutils,
 sharutils,
 pkg-config,
 dctrl-tools,
 imagemagick,
 librsvg2-bin,
 fontforge-nox,
 khronos-api (>= 4.6),
 unicode-data (>= 14),
 unicode-data (<< 15),
 libxi-dev,
 libxt-dev,
 libxmu-dev,
 libx11-dev,
 libxext-dev,
 libxfixes-dev,
 libxrandr-dev,
 libxcursor-dev,
 libxrender-dev,
 libxkbfile-dev,
 libxxf86vm-dev,
 libxxf86dga-dev,
 libxinerama-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libxcomposite-dev,
 libxml-simple-perl,
 libxml-parser-perl,
 libjxr-dev,
 libpng-dev,
 libssl-dev,
 libv4l-dev,
 libsdl2-dev,
 libxml2-dev,
 libgsm1-dev,
 libjpeg-dev,
 libkrb5-dev,
 libtiff-dev,
 libudev-dev,
 libpulse-dev,
 liblcms2-dev,
 libldap2-dev,
 libxslt1-dev,
 unixodbc-dev,
 libcups2-dev,
 libvkd3d-dev (>= 1.2),
 libcapi20-dev,
 libvulkan-dev,
 libfaudio-dev (>= 19.06.07),
 libopenal-dev,
 libdbus-1-dev,
 freeglut3-dev,
 libmpg123-dev,
 libunwind-dev,
 libasound2-dev,
 libgphoto2-dev,
 libosmesa6-dev,
 libpcap0.8-dev,
 libgnutls28-dev,
 libncurses5-dev,
 libgettextpo-dev,
 libfreetype6-dev (>= 2.6.2),
 libfontconfig1-dev,
 ocl-icd-opencl-dev,
 libgstreamer-plugins-base1.0-dev,

Package: wine-development
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 wine64-development (>= ${source:Version}) | wine32-development (>= ${source:Version}),
 wine64-development (<< ${source:Version}.1~) | wine32-development (<< ${source:Version}.1~),
Suggests:
 q4wine,
 winbind,
 winetricks,
 playonlinux,
 wine-binfmt,
 dosbox (>= 0.74-4.2~),
 exe-thumbnailer | kio-extras,
Breaks:
 libwine-development (<< 5.5-6),
 wine-stable (<< 3.0.1ubuntu1~),
Replaces:
 libwine-development (<< 5.5-6),
 wine-stable (<< 3.0.1ubuntu1~),
Provides:
 wine,
Description: Windows API implementation - standard suite
 Wine is a free MS-Windows API implementation.
 .
 This package provides essential wrappers and convenience tools for the
 standard Wine components. It also employs the Debian alternatives system to
 provide the usual command names, e.g. "wine" instead of "wine-development".

Package: wine32-development
Architecture: i386 armel armhf
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-development (= ${binary:Version}),
Recommends:
 wine-development (= ${source:Version}),
Suggests:
 wine32-development-preloader (= ${binary:Version}),
Description: Windows API implementation - 32-bit binary loader
 Wine is a free MS-Windows API implementation.
 .
 This package provides the binary loader for 32-bit Windows applications.

Package: wine64-development
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-development (= ${binary:Version}),
Recommends:
 wine-development (= ${source:Version}),
 wine32-development (= ${binary:Version}),
Suggests:
 wine64-development-preloader (= ${binary:Version}),
Description: Windows API implementation - 64-bit binary loader
 Wine is a free MS-Windows API implementation.
 .
 This package provides the binary loader for 64-bit Windows applications.

Package: wine32-development-preloader
Architecture: i386 armel armhf
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 wine32-development (= ${binary:Version}),
Description: Windows API implementation - prelinked 32-bit binary loader
 Wine is a free MS-Windows API implementation.
 .
 This package provides the prelinked loader for 32-bit Windows applications.

Package: wine64-development-preloader
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 wine64-development (= ${binary:Version}),
Description: Windows API implementation - prelinked 64-bit binary loader
 Wine is a free MS-Windows API implementation.
 .
 This package provides the prelinked loader for 64-bit Windows applications.

Package: wine32-development-tools
Section: libdevel
Architecture: i386 armel armhf
Multi-Arch: foreign
Depends:
 gcc | gcc-multilib:amd64 [i386],
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-development-dev (= ${binary:Version}),
Recommends:
 wine-development (= ${source:Version}),
 g++ | g++-multilib:amd64 [i386],
Conflicts:
 wine64-development-tools,
Description: Windows API implementation - 32-bit developer tools
 Wine is a free MS-Windows API implementation.
 .
 This package provides Wine's 32-bit developer tools. They are capable of
 generating 32-bit results.

Package: wine64-development-tools
Section: libdevel
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 gcc,
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-development-dev (= ${binary:Version}) |
 libwine-development-dev:i386 (= ${binary:Version}) [amd64] |
 libwine-development-dev:armel (= ${binary:Version}) [arm64] |
 libwine-development-dev:armhf (= ${binary:Version}) [arm64],
Recommends:
 wine-development (= ${source:Version}),
 clang [arm64],
 g++ [!arm64],
Conflicts:
 wine32-development-tools,
Description: Windows API implementation - 64-bit developer tools
 Wine is a free MS-Windows API implementation.
 .
 This package provides Wine's 64-bit developer tools. They are capable of
 generating both 32- and 64-bit results.

Package: libwine-development
Section: libs
Architecture: amd64 i386 armel armhf arm64
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${dlopen:Depends},
 ${shlibs:Depends},
 libz-mingw-w64 (>= 1.2.11+dfsg-4),
Recommends:
 ${dlopen:Recommends},
 libgl1-mesa-dri,
 libasound2-plugins,
 fonts-liberation,
 fonts-wine (>= 1.8.2-1~),
 gstreamer1.0-plugins-good,
Suggests:
 cups-bsd,
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 ttf-mscorefonts-installer,
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 wine-development (<< 6.9~repack-1~),
 wine32-development (<< 4.7-2~),
 wine64-development (<< 4.7-2~),
Replaces:
 wine-development (<< 6.9~repack-1~),
 wine32-development (<< 4.7-2~),
 wine64-development (<< 4.7-2~),
Description: Windows API implementation - library
 Wine is a free MS-Windows API implementation.
 .
 This package provides the Wine library.

Package: libwine-development-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64
Depends:
 ${misc:Depends},
 libwine-development (= ${binary:Version}),
 libc6-dev | libc6.1-dev | libc0.3-dev | libc0.1-dev | libc-dev,
Breaks:
 libwine-development (= 5.22+repack-1),
Replaces:
 libwine-development (= 5.22+repack-1),
Recommends:
 wine64-development-tools (= ${binary:Version}) | wine32-development-tools (= ${binary:Version}),
Description: Windows API implementation - development files
 Wine is a free MS-Windows API implementation.
 .
 This package provides Wine's C header files and development libraries.

# Package: wine-binfmt
# Architecture: all
# Multi-Arch: foreign
# Depends:
#  ${misc:Depends},
#  wine,
#  binfmt-support,
# Description: Register Wine as the interpreter for Windows executables
#  Wine is a free MS-Windows API implementation.
#  .
#  This package registers Wine as an interpreter for Windows executables, using
#  the kernel binfmt_misc module.  This causes Wine to be invoked automatically
#  whenever a Windows PE (Portable Executable) file is to be launched.
#  .
#  WARNING:  This increases the risk of inadvertently launching Windows
#  malware, so please make sure that you understand the security risks before
#  blindly installing this package.
#  .
#  This feature is probably most interesting for automatic software testing.
#  Desktop users usually don't need it, so don't install wine-binfmt unless you
#  know that you need it.  Refer to Wine's README.debian for more information.
#
# Package: fonts-wine
# Section: fonts
# Architecture: all
# Multi-Arch: foreign
# Depends:
#  ${misc:Depends},
# Description: Windows API implementation - fonts
#  Wine is a free MS-Windows API implementation.
#  .
#  This package provides the fonts used by Wine.
