## wine-development 6.20~repack

=== debian/changelog ===
wine-development (6.20~repack-1) unstable; urgency=medium

  * New upstream release 6.20, released Oct 22, 2021.
    - MSXml, XAudio, DInput and a few other modules converted to PE.
    - A few system libraries are bundled with the source to support PE builds.
    - HID joystick is now the only supported joystick backend in DirectInput.
    - Better support for MSVCRT builds in Winelib.
    - Various bug fixes.
  * Append .static to the statically linked preloader binaries.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Apr 2022 16:28:27 +0000
