=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,7 @@
          --mandir=/$(MANDIR) \
          --includedir=/$(INCDIR) \
          --datarootdir=/$(DATDIR) \
+         ZLIB_PE_LIBS=z \
          $(shell dpkg-buildflags --export=cmdline) \
 
 # enable wine64 on 64-bit architectures
@@ -150,14 +151,20 @@
 	ln -sf ../../dlls/shell32/resources/optical_drive.svg dlls/comdlg32/cdrom.svg
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
 	# ensure system zlib files are used for i386 and amd64
-	rm -f dlls/*/zlib.h dlls/*/inflate.c dlls/*/deflate.c
+	rm -rf libs/zlib
 endif
 	# execute wine's configure script
 	./configure $(CONFLAGS)
 
 override_dh_auto_build-indep:
+	# only build fonts for the architecture-independent packages
 	make -C tools/sfnt2fon
 	make -C fonts
+
+override_dh_auto_build-arch:
+	# build wine's headers upfront to avoid incompatible mingw versions
+	make -C include
+	dh_auto_build
 
 override_dh_auto_test:
 	# disabled, there are currently too many failing tests
@@ -196,6 +203,3 @@
 	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.mod16" >> debian/libwine$(VERSION).install
-endif
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
