## wine-development 6.22~repack

=== debian/changelog ===
wine-development (6.22~repack-1) unstable; urgency=medium

  * New upstream release 6.22, released Nov 19, 2021.
    - Exception unwinding on ARM.
    - More improvements to HID joystick support.
    - WoW64 thunks in a number of Unix libraries.
    - Beginnings of moving USER32 to Win32u.
    - Various bug fixes.
  * Fix incorrect format strings on armhf.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Apr 2022 05:28:05 +0000

wine-development (6.21~repack-1) unstable; urgency=medium

  * New upstream release 6.21, released Nov 5, 2021.
    - WinSpool, GPhoto, and a few other modules converted to PE.
    - Better support for inline functions in DbgHelp.
    - Beginnings of a MSDASQL implementation.
    - Various bug fixes.
  * Fix installation of wine64-preloader.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Apr 2022 06:22:40 +0000
