## wine-development 6.23~repack

=== debian/changelog ===
wine-development (6.23~repack-2) unstable; urgency=medium

  * Correct shift-overflow flag for clang on arm64.
  * Add libusb-1.0-0-dev to the build dependencies.
  * Build with system zlib PE only on i386 and amd64.
  * Fix installation paths for fonts and nls files (closes: #1010269).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 05 May 2022 18:09:14 +0000

wine-development (6.23~repack-1) unstable; urgency=medium

  * New upstream release 6.23, released Dec 3, 2021.
    - Mount manager and CoreAudio driver converted to PE.
    - Support for exception handling in Wow64 mode.
    - Optional support for using the distribution's PE libraries.
    - A number of UI improvements in WineDbg.
    - Various bug fixes.
  * Fix wine64 preloader symlink (closes: #1009940).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 25 Apr 2022 01:03:00 +0000
