=== debian/control ===
--- 
+++ 
@@ -82,6 +82,7 @@
  libpcap0.8-dev,
  libgnutls28-dev,
  libncurses5-dev,
+ libusb-1.0-0-dev,
  libgettextpo-dev,
  libfreetype6-dev (>= 2.6.2),
  libfontconfig1-dev,
