=== debian/rules ===
--- 
+++ 
@@ -33,15 +33,8 @@
 # enable hardening buildflags (fortify is not yet supported upstream and mingw does not yet support stackprotector)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector
 
-# ignore array-bounds and packed-non-aligned warnings for now
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-packed-not-aligned
-
-# ignore all defined but unused function warnings
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
-
 # configure options
 CONFLAGS=--with-gnutls \
-         --without-hal \
          --without-oss \
          --without-sane \
          --without-netapi \
@@ -53,7 +46,6 @@
          --mandir=/$(MANDIR) \
          --includedir=/$(INCDIR) \
          --datarootdir=/$(DATDIR) \
-         ZLIB_PE_LIBS=z \
          $(shell dpkg-buildflags --export=cmdline) \
 
 # enable wine64 on 64-bit architectures
@@ -66,7 +58,7 @@
 
 # build with mingw on intel architectures
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
-CONFLAGS+=--with-mingw
+CONFLAGS+=--with-mingw ZLIB_PE_LIBS=z
 endif
 
 # on armel build for armv6t2
@@ -203,3 +195,10 @@
 	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.mod16" >> debian/libwine$(VERSION).install
+endif
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
+	rm -f debian/libwine$(VERSION).prerm debian/libwine$(VERSION).postinst
+endif
+	dh_installdirs
+	dh_auto_install
