## wine-development 7.3~repack

=== debian/changelog ===
wine-development (7.3~repack-1) unstable; urgency=medium

  * New upstream release 7.3, released Feb 25, 2022.
    - More large scale cleanups to support 'long' type.
    - Proper support for API sets.
    - Progress on the PE conversion of USER32 and WineALSA.
    - A number of HID joystick fixes.
    - Various bug fixes.
  * Remove build dependencies for libraries that are now embedded.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 26 Sep 2022 01:53:49 +0000

wine-development (7.2~repack-1) unstable; urgency=medium

  * New upstream release 7.2, released Feb 11, 2022.
    - Large scale cleanup to support 'long' type with MSVCRT.
    - More theming fixes in common controls.
    - Beginnings of a WMA decoder.
    - Support for 64-bit time_t.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 25 Sep 2022 23:56:07 +0000

wine-development (7.1~repack-1) unstable; urgency=medium

  * New upstream release 7.1, released Jan 28, 2022.
    - A number of theming fixes.
    - WebSocket improvements.
    - IDL compiler fixes for C++.
    - Various bug fixes.
  * Import updates from the 7.0 stable branch.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 25 Sep 2022 16:14:41 +0000

wine-development (6.23~repack-4) unstable; urgency=medium

  * Ignore unused function warnings on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 23 May 2022 22:46:02 +0000

wine-development (6.23~repack-3) unstable; urgency=medium

  * Fix incorrect winedbg format strings on arm.
  * Ignore warnings when building embedded libraries.
  * Build for armv7-a on armel (new minimum ARM architecture required by wine).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 23 May 2022 01:17:00 +0000
