=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  Stephen Kitt <skitt@debian.org>,
 Vcs-Git: https://salsa.debian.org/wine-team/wine.git
 Vcs-Browser: https://salsa.debian.org/wine-team/wine
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
+ dpkg (>= 1.21.0),
  debhelper-compat (= 13),
- clang [arm64],
  gcc-mingw-w64-i686 [i386],
  gcc-mingw-w64-x86-64 [amd64],
  libz-mingw-w64-dev,
@@ -30,8 +30,9 @@
  librsvg2-bin,
  fontforge-nox,
  khronos-api (>= 4.6),
- unicode-data (>= 14),
- unicode-data (<< 15),
+ unicode-data (>= 15),
+ unicode-data (<< 16),
+ libgl-dev,
  libxi-dev,
  libxt-dev,
  libxmu-dev,
@@ -45,47 +46,36 @@
  libxxf86vm-dev,
  libxxf86dga-dev,
  libxinerama-dev,
- libgl1-mesa-dev,
  libglu1-mesa-dev,
  libxcomposite-dev,
  libxml-simple-perl,
  libxml-parser-perl,
- libjxr-dev,
- libpng-dev,
  libssl-dev,
  libv4l-dev,
  libsdl2-dev,
- libxml2-dev,
- libgsm1-dev,
- libjpeg-dev,
  libkrb5-dev,
- libtiff-dev,
  libudev-dev,
  libpulse-dev,
- liblcms2-dev,
  libldap2-dev,
- libxslt1-dev,
  unixodbc-dev,
  libcups2-dev,
  libvkd3d-dev (>= 1.2),
  libcapi20-dev,
  libvulkan-dev,
- libfaudio-dev (>= 19.06.07),
  libopenal-dev,
  libdbus-1-dev,
  freeglut3-dev,
- libmpg123-dev,
  libunwind-dev,
+ libpcap0.8-dev,
  libasound2-dev,
  libgphoto2-dev,
  libosmesa6-dev,
- libpcap0.8-dev,
+ libncurses-dev,
+ libfreetype-dev,
  libgnutls28-dev,
- libncurses5-dev,
  libusb-1.0-0-dev,
  libgettextpo-dev,
- libfreetype6-dev (>= 2.6.2),
- libfontconfig1-dev,
+ libfontconfig-dev,
  ocl-icd-opencl-dev,
  libgstreamer-plugins-base1.0-dev,
 
@@ -210,8 +200,7 @@
  libwine-development-dev:armhf (= ${binary:Version}) [arm64],
 Recommends:
  wine-development (= ${source:Version}),
- clang [arm64],
- g++ [!arm64],
+ g++,
 Conflicts:
  wine32-development-tools,
 Description: Windows API implementation - 64-bit developer tools
@@ -259,6 +248,7 @@
 
 Package: libwine-development-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: amd64 i386 armel armhf arm64
 Depends:
  ${misc:Depends},
@@ -281,7 +271,7 @@
 # Depends:
 #  ${misc:Depends},
 #  wine,
-#  binfmt-support,
+#  binfmt-support | systemd,
 # Description: Register Wine as the interpreter for Windows executables
 #  Wine is a free MS-Windows API implementation.
 #  .
