=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,17 @@
 # extra information to add to the version string
 export VENDOR=$(DEB_VENDOR) $(DEB_VERSION)
 
+# parse wine's cpu string from DEB_HOST_MULTIARCH
+export WINE_CPU=$(shell echo $(DEB_HOST_MULTIARCH) | cut -d- -f1)
+
 # enable verbose build log
 export DH_VERBOSE=1
 
 # indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
 
-# enable hardening buildflags (fortify is not yet supported upstream and mingw does not yet support stackprotector)
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector
+# specify buildflags (stack protector, fortify, and LTO are not yet supported upstream)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector optimize=-lto
 
 # configure options
 CONFLAGS=--with-gnutls \
@@ -48,6 +51,9 @@
          --datarootdir=/$(DATDIR) \
          $(shell dpkg-buildflags --export=cmdline) \
 
+# ignore array bound warnings, not yet handled upstream
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds
+
 # enable wine64 on 64-bit architectures
 ifeq ($(DEB_HOST_ARCH_BITS), 64)
 CONFLAGS+=--enable-win64
@@ -61,23 +67,22 @@
 CONFLAGS+=--with-mingw ZLIB_PE_LIBS=z
 endif
 
-# on armel build for armv6t2
+# build with soft float ABI and armv7-a instruction set on armel
 ifeq ($(DEB_HOST_ARCH), armel)
 CONFLAGS+=--with-float-abi=soft
-export DEB_CFLAGS_MAINT_APPEND+=-march=armv6t2 -Wno-array-parameter
-endif
-
-# on armhf build with hard float ABI
+export DEB_CFLAGS_MAINT_APPEND+=-march=armv7-a -Wno-unused-function
+export DEB_LDFLAGS_MAINT_APPEND+=-march=armv7-a
+endif
+
+# build with hard float ABI on armhf
 ifeq ($(DEB_HOST_ARCH), armhf)
 CONFLAGS+=--with-float-abi=hard
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-parameter
-endif
-
-# on arm64 build using clang and ignore compiler warnings
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
+endif
+
+# ignore unused function warnings on arm64
 ifeq ($(DEB_HOST_ARCH), arm64)
-export CC=clang
-export CXX=clang++
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-error
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
 endif
 
 # use date of the latest changelog update as the build date
@@ -100,7 +105,7 @@
 	sed "s/VERSION/$(VERSION)/g;s/DEBSUFFIX/$(DEBSUFFIX)/g" < $< > $@
 
 debian/libwine$(VERSION)%: debian/libwineVERSION%
-	sed "s/VERSION/$(VERSION)/g;s/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g;s/DEB_HOST_GNU_CPU/$(DEB_HOST_GNU_CPU)/g" < $< > $@
+	sed "s/VERSION/$(VERSION)/g;s/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g;s/WINE_CPU/$(WINE_CPU)/g" < $< > $@
 
 debian/bug-control: debian/bug-control.in
 	sed s/VERSION/$(VERSION)/g < $< > $@
@@ -195,10 +200,3 @@
 	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.mod16" >> debian/libwine$(VERSION).install
-endif
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
-	rm -f debian/libwine$(VERSION).prerm debian/libwine$(VERSION).postinst
-endif
-	dh_installdirs
-	dh_auto_install
