## wine-development 7.12~repack

=== debian/changelog ===
wine-development (7.12~repack-1) unstable; urgency=medium

  * New upstream release 7.12, released Jul 1, 2022.
    - Theming support for Qt5 applications.
    - Bundled vkd3d upgraded to version 1.4.
    - Improved effect support in Direct2D.
    - QWORD support in registry tools.
    - Various bug fixes.
  * Bundle unicode cldr (closes: #1021523).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 23 Dec 2022 06:05:31 +0000

wine-development (7.11~repack-3) unstable; urgency=medium

  * Update standards to 4.6.2.
  * Depend on libxml-libxml-perl.
  * Disable link time optimization.
  * Support building with vulkan 1.3.231.
  * Support building with gcc-mingw-w64 12.
  * Ignore debian-news-entry-has-unknown-version lintian warning.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Dec 2022 00:01:18 +0000

wine-development (7.11~repack-2) unstable; urgency=medium

  * Remove obsolete API.
  * Fix build failures on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Oct 2022 19:08:09 +0000

wine-development (7.11~repack-1) unstable; urgency=medium

  * New upstream release 7.11, released Jun 17, 2022.
    - Android driver converted to PE.
    - Zero-copy support with GStreamer.
    - High Unicode planes support in case mappings.
    - Various bug fixes.
  * Drop unnecessary dpkg version constraint.
  * Indicate vulkan >= 1.2.189.0 is required.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Oct 2022 06:26:34 +0000

wine-development (7.10~repack-1) unstable; urgency=medium

  * New upstream release 7.10, released Jun 3, 2022.
    - Windows-compatible Unicode collation.
    - Wow64 support in SECUR32.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Oct 2022 04:56:00 +0000

wine-development (7.9~repack-1) unstable; urgency=medium

  * New upstream release 7.9, released May 20, 2022.
    - A number of fixes for test failures on Windows.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Oct 2022 22:51:40 +0000

wine-development (7.8~repack-1) unstable; urgency=medium

  * New upstream release 7.8, released May 6, 2022.
    - X11 and OSS drivers converted to PE.
    - WoW64 support in the sound drivers.
    - Number formatting using the new locale database.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Oct 2022 21:56:06 +0000

wine-development (7.7~repack-2) unstable; urgency=medium

  * Fix pointer-to-int-cast warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Oct 2022 21:13:28 +0000

wine-development (7.7~repack-1) unstable; urgency=medium

  * New upstream release 7.7, released Apr 22, 2022.
    - More progress on the PE conversion of the X11 and OSS drivers.
    - Support for UTF-8 as default Ansi codepage.
    - Theming support for control panel applets.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Oct 2022 05:49:03 +0000

wine-development (7.6~repack-1) unstable; urgency=medium

  * New upstream release 7.6, released Apr 8, 2022.
    - More progress on the PE conversion of graphics drivers.
    - Locale support using the new CLDR-based database.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Oct 2022 03:23:48 +0000

wine-development (7.5~repack-1) unstable; urgency=medium

  * New upstream release 7.5, released Mar 25, 2022.
    - ALSA driver converted to PE.
    - Locale database generated from Unicode CLDR.
    - HLSL compiler support with the bundled vkd3d.
    - Initial support for the OCSP protocol.
    - More cleanups to support 'long' type.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 05 Oct 2022 03:26:04 +0000

wine-development (7.4~repack-1) unstable; urgency=medium

  * New upstream release 7.4, released Mar 11, 2022.
    - 'Light' theme enabled by default.
    - Bundled vkd3d library.
    - WineD3D, D3D12 and DXGI modules converted to PE.
    - More large scale cleanups to support 'long' type.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 04 Oct 2022 23:44:30 +0000
