=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  Stephen Kitt <skitt@debian.org>,
 Vcs-Git: https://salsa.debian.org/wine-team/wine.git
 Vcs-Browser: https://salsa.debian.org/wine-team/wine
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- dpkg (>= 1.21.0),
  debhelper-compat (= 13),
  gcc-mingw-w64-i686 [i386],
  gcc-mingw-w64-x86-64 [amd64],
@@ -48,8 +47,7 @@
  libxinerama-dev,
  libglu1-mesa-dev,
  libxcomposite-dev,
- libxml-simple-perl,
- libxml-parser-perl,
+ libxml-libxml-perl,
  libssl-dev,
  libv4l-dev,
  libsdl2-dev,
@@ -59,9 +57,8 @@
  libldap2-dev,
  unixodbc-dev,
  libcups2-dev,
- libvkd3d-dev (>= 1.2),
  libcapi20-dev,
- libvulkan-dev,
+ libvulkan-dev (>= 1.2.189.0),
  libopenal-dev,
  libdbus-1-dev,
  freeglut3-dev,
