## wine-development 7.14~repack

=== debian/changelog ===
wine-development (7.14~repack-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with -Wno-maybe-uninitialized to fix build on amd64 and i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 13:01:12 +0100

wine-development (7.14~repack-1) unstable; urgency=medium

  * New upstream release 7.14, released Jul 29, 2022.
    - More progress on syscall interface for USER32.
    - Improved font fallbacks in DirectWrite.
    - Some fixes for socket shutdowns.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 28 Dec 2022 04:36:41 +0000

wine-development (7.13~repack-1) unstable; urgency=medium

  * New upstream release 7.13, released Jul 15, 2022.
    - USB driver converted to PE.
    - Some theming improvements.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 28 Dec 2022 03:40:42 +0000

wine-development (7.12~repack-1ubuntu1) lunar; urgency=medium

  * Build with -Wno-maybe-uninitialized to fix build on amd64 and i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Dec 2022 15:47:10 +0100
