=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
          $(shell dpkg-buildflags --export=cmdline) \
 
 # ignore array bound and unused function warnings, not yet handled upstream
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-unused-function
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-unused-function -Wno-maybe-uninitialized
 
 # enable wine64 on 64-bit architectures
 ifeq ($(DEB_HOST_ARCH_BITS), 64)
