## wine-development 7.20~repack

=== debian/changelog ===
wine-development (7.20~repack-1) unstable; urgency=medium

  * New upstream release 7.20, released Oct 31, 2022.
    - Font linking improvements.
    - A number of fixes for exception unwinding.
    - Support for dumping EMF spool files in WineDump.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 31 Dec 2022 14:46:50 +0000

wine-development (7.19~repack-1) unstable; urgency=medium

  * New upstream release 7.19, released Oct 14, 2022.
    - Support for storing DOS attributes on disk.
    - Bundled vkd3d upgraded to version 1.5.
    - Support for MPEG-4 audio format.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 31 Dec 2022 07:06:16 +0000

wine-development (7.18~repack-1) unstable; urgency=medium

  * New upstream release 7.18, released Sep 23, 2022.
    - Async reader fixes in GStreamer support.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 30 Dec 2022 04:50:35 +0000

wine-development (7.17~repack-1) unstable; urgency=medium

  * New upstream release 7.17, released Sep 9, 2022.
    - High Unicode planes support in DirectWrite.
    - Some work towards Wow64 support in the Vulkan driver.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 29 Dec 2022 22:05:30 +0000

wine-development (7.16~repack-1) unstable; urgency=medium

  * New upstream release 7.16, released Aug 28, 2022.
    - Wow64 support in X11 driver.
    - Session storage in MSHTML.
    - Unicode regexp fixes in MSXML.
    - IME improvements in Edit control.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 29 Dec 2022 21:10:42 +0000

wine-development (7.15~repack-1) unstable; urgency=medium

  * New upstream release 7.15, released Aug 13, 2022.
    - Command lists in Direct2D.
    - RSA encryption.
    - Initial Wow64 thunking in WIN32U.
    - Optional support for colors in test output.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 29 Dec 2022 14:03:52 +0000
